package com.qmth.teachcloud.common.bean.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Set;

/**
 * @Description: 数据权限查询参数
 * @Author: CaoZixuan
 * @Date: 22022-12-07
 */
public class DataPermissionRule implements Serializable {
    @ApiModelProperty("有数据权限的机构集合（所有、本机构及以下、本机构）")
    private Set<Long> orgIdSet;

    @ApiModelProperty("登录用户数据权限（只允许看自己的数据）")
    private Long requestUserId;

    public Set<Long> getOrgIdSet() {
        return orgIdSet;
    }

    public void setOrgIdSet(Set<Long> orgIdSet) {
        this.orgIdSet = orgIdSet;
    }

    public Long getRequestUserId() {
        return requestUserId;
    }

    public void setRequestUserId(Long requestUserId) {
        this.requestUserId = requestUserId;
    }
}
